Loading...
Searching...
No Matches
ssh_bind_callbacks_struct Struct Reference
The libssh server API

These are the callbacks exported by the ssh_bind structure. More...

`#include <server.h>`

## Data Fields

size_t | size
ssh_bind_incoming_connection_callback | incoming_connection

## Detailed Description

These are the callbacks exported by the ssh_bind structure.

They are called by the server module when events appear on the network.

## Field Documentation

## incoming_connection

ssh_bind_incoming_connection_callback ssh_bind_callbacks_struct::incoming_connection

A new connection is available.

## size

size_t ssh_bind_callbacks_struct::size

DON'T SET THIS use ssh_callbacks_init() instead.

The documentation for this struct was generated from the following file:

- /build/libssh-pvI3ll/libssh-0.12.2/include/libssh/server.h